Skip to main content
GET
/
api
/
external
/
companies
/
{companyId}
/
coverage-types
/
{coverageTypeId}
/
fields
Get Coverage Type Fields
curl --request GET \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/coverage-types/{coverageTypeId}/fields \
  --header 'Authorization: <api-key>'
{
  "coverageTypeId": "general_liability",
  "coverageTypeName": "General Liability",
  "fields": [
    "reportDate",
    "eventDescription",
    "settlementDemand",
    "indemnityPaid",
    "alaeReserveAmount"
  ]
}

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

coverageTypeId
string
required

Coverage type identifier (e.g., "general_liability")

Response

Fields for the specified coverage type

Fields associated with a coverage type

coverageTypeId
string
required

The coverage type identifier

coverageTypeName
string
required

Human-readable name of the coverage type

fields
string[]
required

Field keys associated with this coverage type